Package com.independentsoft.office.charts

# Class PieChartSerie

java.lang.Object
com.independentsoft.office.charts.PieChartSerie

public class PieChartSerie extends Object
The Class PieChartSerie.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PieChartSerie()`
  Instantiates a new pie chart serie.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PieChartSerie`
  `clone()`
  `CategoryAxis`
  `getCategoryAxis()`
  Gets the category axis.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `List<DataPoint>`
  `getDataPoints()`
  Gets the data points.
  `int`
  `getExplosion()`
  Gets the explosion, in percent.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getIndex()`
  Gets the index.
  `int`
  `getOrder()`
  Gets the order.
  `SeriesText`
  `getSeriesText()`
  Gets the series text.
  `Values`
  `getValues()`
  Gets the values.
  `boolean`
  `isExplosion()`
  Checks if is explosion.
  `void`
  `setCategoryAxis​(CategoryAxis categoryAxis)`
  Sets the category axis.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExplosion​(boolean explosion)`
  Sets the explosion.
  `void`
  `setExplosion​(int explosion)`
  Sets the explosion, in percent.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setOrder​(int order)`
  Sets the order.
  `void`
  `setSeriesText​(SeriesText seriesText)`
  Sets the series text.
  `void`
  `setValues​(Values values)`
  Sets the values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PieChartSerie

    public PieChartSerie()
    Instantiates a new pie chart serie.

- ## Method Details

  - ### clone

    public PieChartSerie clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getCategoryAxis

    public CategoryAxis getCategoryAxis()
    Gets the category axis.
    Returns:
      the category axis

  - ### setCategoryAxis

    public void setCategoryAxis​(CategoryAxis categoryAxis)
    Sets the category axis.
    Parameters:
      `categoryAxis` - the new category axis

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDataPoints

    public List<DataPoint> getDataPoints()
    Gets the data points.
    Returns:
      the data points

  - ### getExplosion

    public int getExplosion()
    Gets the explosion, in percent. -1 if not set.
    Returns:
      the explosion

  - ### setExplosion

    public void setExplosion​(int explosion)
    Sets the explosion, in percent. -1 to omit it.
    Parameters:
      `explosion` - the new explosion

  - ### isExplosion

    public boolean isExplosion()
    Checks if is explosion.
    Returns:
      true, if is explosion

  - ### setExplosion

    public void setExplosion​(boolean explosion)
    Sets the explosion.
    Parameters:
      `explosion` - the new explosion

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getOrder

    public int getOrder()
    Gets the order.
    Returns:
      the order

  - ### setOrder

    public void setOrder​(int order)
    Sets the order.
    Parameters:
      `order` - the new order

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getSeriesText

    public SeriesText getSeriesText()
    Gets the series text.
    Returns:
      the series text

  - ### setSeriesText

    public void setSeriesText​(SeriesText seriesText)
    Sets the series text.
    Parameters:
      `seriesText` - the new series text

  - ### getValues

    public Values getValues()
    Gets the values.
    Returns:
      the values

  - ### setValues

    public void setValues​(Values values)
    Sets the values.
    Parameters:
      `values` - the new values